<?php

namespace Picea\Syntax;

class PhpTagToken implements Syntax {

    public string $tokenOpen = "\{\?";

    public string $tokenClose = "\?\}";

    public function parse(/*\Picae\Compiler\Context*/ &$context, string &$sourceCode)
    {
        $sourceCode = preg_replace_callback("#({$this->tokenOpen})(.*?)({$this->tokenClose})#s", function ($matches) {
            return "<?php {$matches[2]} ?>";
        }, $sourceCode);
    }

}
